{% extends "base.html" %}

{% block title %}Search{% endblock %}
{% block heading %}<h5>Search for events or superevents</h5><hr>{% endblock %} 
{% block pageid %}search{% endblock %}

{% block content %}
<p>Test and MDC events and superevents are not included in the search results by default. See the query help (link below) for information on how to search for events and superevents in those categories.</p>

<form method="GET" name="search_form">
    <table width="100%">
        {{ form.as_table }}
        <tr><td></td><td><input type="Submit" value="Search" class="searchButtonClass btn btn-sm btn-primary"></td></tr>
        <tr><td></td><td><a href="/documentation/queries.html" target="_blank">Query help</a></td></tr>
  </table>
</form>

<!-- Search results table -->
{% if query_type == 'S' %}
<table id="flex_superevents"></table>
{% elif query_type == 'E' %}
<table id="flex_events"></table>
{% endif %}

{% if query_type == 'S' %}
<table id="searchForm" class="display" style="width:100%">
        <thead>
            <tr>
                <th>UID</th>
                <th>Labels</th>
                <th>FAR</th>
                <th>Preferred Event</th>
                <th>GW Events</th>
                <th>t<sub>0</sub></th>
                <th>Submitted:</th>
                <th>Submitted By:</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>UID</th>
                <th>Labels</th>
                <th>FAR</th>
                <th>Preferred Event</th>
                <th>GW Events</th>
                <th>t<sub>0</sub></th>
                <th>Submitted:</th>
                <th>Submitted By:</th>
            </tr>
        </tfoot>
    </table>
{% elif query_type == 'E' %}
<table id="searchForm" class="display" style="width:100%">
        <thead>
            <tr>
                <th>UID</th>
                <th>Labels</th>
                <th>Group</th>
                <th>Pipeline</th>
                <th>Search</th>
                <th>Event Time</th>
                <th>Instruments</th>
                <th>FAR</th>
                <th>Submitted:</th>
                <th>Submitted By:</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>UID</th>
                <th>Labels</th>
                <th>Group</th>
                <th>Pipeline</th>
                <th>Search</th>
                <th>Event Time</th>
                <th>Instruments</th>
                <th>FAR</th>
                <th>Submitted:</th>
                <th>Submitted By:</th>
            </tr>
        </tfoot>
    </table>
{% endif %}



<script type="text/javascript">
$(document).ready(function() {
    $('#searchForm').DataTable( {
        ajax:'{% url "mainsearch"  %}?query={{raw_query|urlencode}}&query_type={{query_type}}&results_format=F',
        processing: true,
        language:{
           processing: '<div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>'
        },
        order:[[7,'dsc']],
    } );
} );
</script>

{% endblock %}
